### Method

# AppStream Component has_category

#### Declaration [src]

    gboolean
    as_component_has_category (
      AsComponent* cpt,
      const gchar* category
    )

#### Description [src]

Check if component is in the specified category.

#### Parameters

`category`

  Type: `const gchar*`

  The specified category to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the component is in the specified category.